import request from '@/utils/request'

// 登录
export function login(data: any) {
    return request({
        url: '/v1/auth/login',
        method: 'post',
        data
    })
}

// 创建用户 (管理员专用)
export function createUser(data: any) {
    return request({
        url: '/v1/auth/user/create',
        method: 'post',
        data
    })
}

// [新增] 更新用户
export function updateUser(id: number, data: any) {
    return request({
        url: `/v1/auth/user/${id}`,
        method: 'put',
        data
    })
}

// 获取当前登录用户信息
export function getUserInfo() {
    return request({
        url: '/v1/auth/me',
        method: 'get'
    })
}

// 获取所有用户列表
export function getUserList() {
    return request({
        url: '/v1/auth/users',
        method: 'get'
    })
}

// 删除用户
export function deleteUser(id: number) {
    return request({
        url: `/v1/auth/user/${id}`,
        method: 'delete'
    })
}